<?


if (user_access('loads_file_delete') && isset($_GET['act']) && $_GET['act']=='delete' && isset($_GET['ok']))
{

if (@unlink($dir_loads.'/'.$file))
{
@unlink($dir_loads.'/'.$file.'.GIF');
@unlink($dir_loads.'/'.$file.'.JPG');
@unlink($dir_loads.'/'.$file.'.PNG');
@unlink($dir_loads.'/'.$file.'.name');
@unlink($dir_loads.'/'.$file.'.opis');
msg("Файл \"$name2\" успешно удален");
admin_log('Загруз-центр','Удаление',"Удален файл $name2");
$jfile=preg_replace('#\.jad$#i', '.jar', $file);
if (function_exists('iconv'))$jfile=iconv('windows-1251', 'utf-8', $jfile);

$path=(function_exists('iconv'))?iconv('windows-1251', 'utf-8', $l):$l;
$path='/'.preg_replace('#^/+|/+$#i', null, $path).'/';
mysql_query("DELETE FROM `loads_list` WHERE `path` = '".my_esc($path)."' AND `name` = '".my_esc($jfile)."' LIMIT 1");

mysql_query("DELETE FROM `loads_komm` WHERE `file` = '".my_esc($jfile)."' AND `size` = '$size'"); // удаление комментариев

echo "<div class=\"foot\">\n";
echo "<a href=\"?".url("d=$l")."\">Вернуться в папку</a><br />\n";
echo "</div>\n";
include_once '../sys/inc/tfoot.php';
}
else
$err= "Невозможно удалить файл\n";
@unlink($dir_loads.'/.k_files');
}




if (user_access('loads_file_edit') && isset($_GET['act']) && $_GET['act']=='prop' && isset($_GET['ok']) && isset($_POST['name_serv']) && isset($_POST['ras_serv']) && isset($_POST['name_loads']) && isset($_POST['opis']))
{


$new_name_serv=$_POST['name_serv'].'.'.$_POST['ras_serv'];

if ($new_name_serv==NULL) 
$err= "Введите название файла";
elseif (!preg_match('#^[^/]*.[^/]*$#',$new_name_serv))
$err= "Не указан тип файла";
elseif (preg_match('#^\.|\.php|\.name$|\.txt$|\.opis$|\.html?$|\.sql$|\.ini$|\.db$|\.dat$#',$new_name_serv))
$err= "Запрещенное расширение файла";
else
{

if (function_exists('iconv'))
$newdir_serv=iconv('utf-8', 'windows-1251', esc($new_name_serv));
else
$newdir_serv=retranslit(esc($new_name_serv));
if (@rename($dir_loads.'/'.$file, $dir_loads.'/'.$newdir_serv))
{
$jfile=preg_replace('#\.jad$#i', '.jar', $file);
if (function_exists('iconv'))$jfile=iconv('windows-1251', 'utf-8', $jfile);
$name=preg_replace('#\.[^\.]*$#i', NULL, $file); // имя файла без расширения
@unlink($dir_loads.'/'.$name.'.jad');
@unlink($dir_loads.'/'.$file.'.name');


@rename($dir_loads.'/'.$file.'.opis', $dir_loads.'/'.$newdir_serv.'.opis');
@rename($dir_loads.'/'.$file.'.GIF', $dir_loads.'/'.$newdir_serv.'.GIF');
@rename($dir_loads.'/'.$file.'.JPG', $dir_loads.'/'.$newdir_serv.'.JPG');
@rename($dir_loads.'/'.$file.'.PNG', $dir_loads.'/'.$newdir_serv.'.PNG');

$file=preg_replace("#.*/#",NULL,$newdir_serv); // получение имени файла
$name=preg_replace('#\.[^\.]*$#i', NULL, $file); // имя файла без расширения
$ras=strtolower(preg_replace('#^.*\.#i', NULL, $file)); // расширение (в нижнем регистре)



$jfile2=preg_replace('#\.jad$#i', '.jar', $newdir_serv);
if (function_exists('iconv'))$jfile2=iconv('windows-1251', 'utf-8', $jfile2);




$path=(function_exists('iconv'))?iconv('windows-1251', 'utf-8', $l):$l;
$path='/'.preg_replace('#^/+|/+$#i', null, $path).'/';
mysql_query("UPDATE `loads_list` SET `name` = '".my_esc($jfile2)."' WHERE `path` = '".my_esc($path)."' AND `name` = '".my_esc($jfile)."' LIMIT 1");
mysql_query("UPDATE `loads_komm` SET `file` = '".my_esc($jfile2)."' WHERE `file` = '".my_esc($jfile)."' AND `size` = '$size'");
msg("Имя файла на сервере успешно изменено");
admin_log('Загруз-центр','Параметры файлов',"Файл $file переименован в $jfile2");
if ($_POST["opis"]!=NULL)
{
$f=@fopen($dir_loads.'/'.$file.'.opis', 'w');
@fwrite($f, stripslashes(htmlspecialchars(esc($_POST["opis"]))));
@fclose($f);
@chmod($dir_loads.'/'.$file.'.opis', 0777);
}

$newdir_loads=esc(htmlspecialchars($_POST['name_loads'],1));
if ($f=@fopen($dir_loads.'/'.$newdir_serv.'.name', 'w'))
{
@fwrite($f, $newdir_loads);
fclose($f);
admin_log('Загруз-центр','Параметры файлов',"Файл '$name2' переименован в '$newdir_loads'");
$name2=$newdir_loads;
@chmod($dir_loads.'/'.$newdir_serv.'.name', 0777);
msg("Файл успешно переименован");
}
else
{
$err= "Невозможно изменить название файла в загрузках";
}
}
else
$err= "Невозможно изменить название файла на сервере";
}
}
?>